function y=bpf(x,f0,bw,n,fs)
% BPF -- Bandpass filter
%
% BPF(X,F0,BW,N,FS) applies a Butterworth bandpass filter with center
% frequency F0 Hz, bandwidth BW Hz, and order N to the signal X. The sampling frequency
% FS (in Hz) must be specified as well.
%
% See also TIMEFREQ, OSC, MIXER, FWRECT, LPF, BPF, SIGSPEC, BPFPLOT, LPFPLOT

% Define the filter coefficients
[b a]=butter(n,[f0-(bw/2) f0+(bw/2)]/(fs/2));

% Apply the filter
y=filter(b,a,x);
