function y=lpf(x,fc,n,fs)
% LPF -- Lowpass filter
%
% LPF(X,FC,N,FS) applies a Butterworth lowpass filter with cutoff
% frequency FC Hz and order N to the signal X. The sampling frequency
% FS (in Hz) must be specified as well.
%
% See also TIMEFREQ, OSC, MIXER, FWRECT, LPF, BPF, SIGSPEC, BPFPLOT, LPFPLOT

% Define the filter coefficients
[b a]=butter(n,fc/(fs/2));

% Apply the filter
y=filter(b,a,x);
