function lpfplot(fc,n,fs,ff)
% LPFPLOT -- Plot a lowpass filter response on result of SIGSPEC plot
%
% LPFPLOT(FC,N,FS,FF) overplots a lowpass filter response on top of
% the result of a SIGSPEC plot. The lowpass filter specifications are the
% same as for LPF.  LPFPLOT overplots on the most recent plot generated, so
% it would be best to call LPFPLOT immediately after calling SIGSPEC.
%
% See also TIMEFREQ, OSC, MIXER, FWRECT, LPF, BPF, SIGSPEC, BPFPLOT, LPFPLOT

% Select the spectrum plot
subplot(2,1,1)
hold on

% Filter coefficients
[b a]=butter(n,fc/(fs/2));

% Frequency response
[H,F]=freqz(b,a,fs/2,fs);
HH=[H(fs/2:-1:1); H];

% Overplot the filter response
plot(ff/1e3,abs(HH),'r:')
