function sigspec(x,tt,ff,ptitle)
% SIGSPEC -- Displays signal and its spectrum
%
% SIGSPEC(X,TT,FF,TITLE) displays the signal X and its
% Fourier transform (spectrum) in the same figure window.
% TT is the time vector and FF is the frequency vector
% generated by TIMEFREQ. TITLE is a string that will be
% used as the plot title.
%
% Plot zooming is enabled at the conclusion of the function.
%
% See also TIMEFREQ, OSC, MIXER, FWRECT, LPF, BPF, SIGSPEC, BPFPLOT, LPFPLOT

figure
set(gcf,'Position',get(0,'ScreenSize')-[3    -1    -2    39])

subplot(2,1,1)
plot(ff/1e3,abs(fftshift(fft(x)/length(x))))
a=axis;
axis([a(1) a(2) 0 1]);
title(ptitle)
xlabel('Frequency (kHz)')
ylabel('Amplitude')

subplot(2,1,2)
plot(tt(1:length(tt)/32),x(1:length(tt)/32))
a=axis;
axis([a(1) a(2) -2 2]);
xlabel('Time (s)')

zoom on