function [tt,ff]=timefreq(fs)
% TIMEFREQ -- Produce time-domain and frequency-domain vectors
%
% [TT FF]=TIMEFREQ(FS) returns a sampled time domain TT over the range 0 to 1
% sampled at frequency FS Hz, and a frequency domain FF over the range -FS to
% FS.
%
% FS should be a power of 2 (e.g., 2^14 = 16384) so subsequent FFT calculations
% will be efficient.
%
% See also TIMEFREQ, OSC, MIXER, FWRECT, LPF, BPF, SIGSPEC, BPFPLOT, LPFPLOT


% Time axis
tt=0:1/fs:1-1/fs;

% Frequency axis
ff= -fs/2:1:(fs/2)-1;
